repo/gentoo:master commit in: kde-frameworks/qqc2-desktop-style/
"Andreas Sturmlechner" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786777074.67741069a8d31a4046a22c1cfbacc158f95aff65.asturm@gentoo> |
commit: 67741069a8d31a4046a22c1cfbacc158f95aff65
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 18:19:56 2026 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 06:57:54 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67741069
kde-frameworks/qqc2-desktop-style: 6.29.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-frameworks/qqc2-desktop-style/Manifest | 1 +
.../qqc2-desktop-style-6.29.0.ebuild | 35 ++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/kde-frameworks/qqc2-desktop-style/Manifest b/kde-frameworks/qqc2-desktop-style/Manifest
index cabe92040364..d713bf34d7eb 100644
--- a/kde-frameworks/qqc2-desktop-style/Manifest
+++ b/kde-frameworks/qqc2-desktop-style/Manifest
@@ -1,2 +1,3 @@
DIST qqc2-desktop-style-6.27.0.tar.xz 92944 BLAKE2B 14ac3b92063d63cbb72a66f4e2c319f28c7503c6473b846703423ada74902a32142b96c856439849ec4f6bbd63284cf8cae6b0c4774de75c64158ef6d46c90f5 SHA512 2ade105b573aa6accc648206e8eeca965a73f468523adcc81c75588b5efc794571669f3205529a98d24e1f0cbe69025cb03eb08ec78d0e634ccaafe82ee35f35
DIST qqc2-desktop-style-6.28.0.tar.xz 93024 BLAKE2B a63a525e8eaa227250b36b522f98e5f1f5f21821aed4a2fbd63221d2c3364f9f01531ea288bd3fcbc09337b4d8a730e9c704623f906f1b05095a7a39785f3ffe SHA512 48cf5d9f3f2add54fa37f20e38f6b345ebd339c71ea147b8640953a33eb91aaca0ae50d14206cc7ce4015ba1d5a13b5011ef313edc71f1f5f933c957b1affdef
+DIST qqc2-desktop-style-6.29.0.tar.xz 93100 BLAKE2B a4e3079685a8cfa2e6ec76e3c16a2be63f7dc7f9f3a7c5d8473032cb4806d02a67fd35c05d33e3b65c1daf3f3eac3f5b13b87ee64bcb18e9fefa5329d5d050c1 SHA512 7e75f35e8067256b32ed77463c121b7d28b2effaefb7d86c39a9bb469463fe1f3dccff4e01c758f01cbf41cb065bac597419c6400e78bf178d4a8327325f82a3
diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild
new file mode 100644
index 000000000000..fa16fc1a4d6a
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_QTHELP="false"
+QTMIN=6.10.1
+inherit ecm frameworks.kde.org
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for painting"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+# Qt_6_PRIVATE_API matches org.kde.desktop.so, see also:
+# https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/379
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gui,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6=
+ =kde-frameworks/kcolorscheme-${KDE_CATV}*:6
+ =kde-frameworks/kconfig-${KDE_CATV}*:6
+ =kde-frameworks/kiconthemes-${KDE_CATV}*:6
+ =kde-frameworks/kirigami-${KDE_CATV}*:6
+ =kde-frameworks/sonnet-${KDE_CATV}*:6[qml]
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qt5compat-${QTMIN}:6
+"
+BDEPEND=">=dev-qt/qttools-${QTMIN}:6[linguist]"
+
+CMAKE_SKIP_TESTS=(
+ # bug 926509
+ animationspeedmodifiertest
+)